"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ConfigFile {
    constructor(json) {
        if (json) {
            this.json = json;
        }
        else {
            this.json = {
                jiraHost: '',
                jiraEmail: '',
                jiraAccessToken: '',
                githubAccessToken: ''
            };
        }
        this.jiraHost = this.json.jiraHost;
        this.jiraEmail = this.json.jiraEmail;
        this.jiraAccessToken = this.json.jiraAccessToken;
        this.githubAccessToken = this.json.githubAccessToken;
    }
    update(setting, value) {
        const updatedJson = this.json;
        updatedJson[setting] = value;
        return new ConfigFile(updatedJson);
    }
    get(setting) {
        return this.json[setting];
    }
    toString() {
        return JSON.stringify(this.json);
    }
}
exports.ConfigFile = ConfigFile;
